# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc下单数量设置批量新增验证,2293,2293-066,sit,bs
主数据平台:运营后台管理系统下单数量设置批量新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import random
import json
import os


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_product")
request_body = commonFuc().get_business_data(module, "payload_product")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取下单数量设置信息
product_name = result["data"]["list"][product_random]["productName"]
product_code = result["data"]["list"][product_random]["productCode"]

# 获取文件地址
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/下单数量管理模板.xlsx"

# 将商品信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=product_code)
excel.write_data(row=2, column=2, value=product_name)
excel.write_data(row=2, column=3, value=product_random)
excel.write_data(row=2, column=4, value=product_random)

# 进行批量导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url60")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""

 场景: 下单数量设置批量新增验证
 用例名称：下单数量设置批量新增验证
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.post(url, files=files, headers=headers)
result = json.loads(result.content)
# print(result)
if result["success"]:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict60")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict59_1")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
file.close()