# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品属性删除功能验证,2293,2293-007,sit,bs
主数据平台:后台运营系统商品属性删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_product"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 第二步获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成一个随机数字，用于后续随机选择某一条商品信息
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取商品信息
property_id = result["data"]["list"][rebate_random]["propertyId"]

# 第三步进行商品属性新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = {"propertyIds": [property_id]}
# print(request_body)

"""
 场景: 商品属性单个新增功能验证
 用例名称：商品属性单个新增功能验证
 输出：{"data":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
if result["success"]:
    # 查询数据库中对应公司对应的商品属性id
    sql = "SELECT t.deleteSign FROM `cmdc-product`.ic_product_properties t  WHERE companyCode = 00111 and propertyId ={}".format(
        property_id)
    total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]
    result = {"deleteSign": total}
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict7")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict7_1")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
